org.opencv.video

## Class SparseOpticalFlow

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.video.SparseOpticalFlow

- Direct Known Subclasses:
    SparsePyrLKOpticalFlow

      public class SparseOpticalFlow
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SparseOpticalFlow(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SparseOpticalFlow` | `__fromPtr__(long addr)`
    `void` | `calc(Mat prevImg, Mat nextImg, Mat prevPts, Mat nextPts, Mat status)`
    `void` | `calc(Mat prevImg, Mat nextImg, Mat prevPts, Mat nextPts, Mat status, Mat err)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SparseOpticalFlow

          protected SparseOpticalFlow(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SparseOpticalFlow __fromPtr__(long addr)

    - #### calc

          public void calc(Mat prevImg,
                           Mat nextImg,
                           Mat prevPts,
                           Mat nextPts,
                           Mat status,
                           Mat err)

    - #### calc

          public void calc(Mat prevImg,
                           Mat nextImg,
                           Mat prevPts,
                           Mat nextPts,
                           Mat status)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3